<h1 class="siteTitle">Tutorials</h1>
<div *ngIf="activeItem !== 'Folder structure'" class="arrowUp" (click)="scrollUp()"><fa-icon class="icon" [icon]="arrowUpIcon"></fa-icon></div>
<table class="containerTable">
    <td class="list">
        <mat-nav-list>
            <a mat-list-item *ngFor="let listItem of listItems" class="listItem" [ngStyle]="{
                'background-color': listItem === activeItem ? '#E0DBE2' : '',
                'color': listItem === activeItem ? '#3E3A40' : '#E0DBE2',
                'font-weight': listItem === activeItem ? '700' : '400'
            }" (click)="setActiveItem(listItem); scrollToElement(listItem)">
            {{ listItem }}
        </a>
    </mat-nav-list>
</td>
    <td class="content">
        <section #folderStructure id="Folder structure" class="section">
            <h2 class="title">FOLDER STRUCTURE</h2>
            <video src="../../assets/videos/FOLDER STRUCTURE.mp4" width="70%" controls></video>
            <h4 class="subTitle"><b>1.</b> Create a new Folder in Assets ➔ Resources; for example “Prototyp”</h4>
            <p class="description">open the context menu on the folder Resources ➔ Create ➔ Folder</p>
            <img src="../../assets/images/folder_structure_1.png" class="screenshot" />
            <h4 class="subTitle"><b>2.</b> Create an additional folder names “FunctionalSpecification” in your folder “Prototyp” with the following json files:</h4>
            <mat-list>
                <mat-list-item>InteractionElements.json</mat-list-item>
                <mat-list-item>States.json</mat-list-item>
                <mat-list-item>Transitions.json</mat-list-item>
                <mat-list-item>VisualizationArrays.json</mat-list-item>
                <mat-list-item>VisualizationElements.json</mat-list-item>
            </mat-list>
            <img src="../../assets/images/folder_structure_2.png" class="screenshot" />
            <img src="../../assets/images/folder_structure_3.png" class="screenshot" />
        </section>
        <section #importPrototype id="Import prototype" class="section">
            <h2 class="title">IMPORT PROTOTYPE</h2>
            <video src="../../assets/videos/IMPORT PROTOTYPE.mp4" width="70%" controls></video>
            <h4 class="subTitle"><b>1.</b> Create a new Scene</h4>
            <p class="description">File ➔ new Scene </p>
            <p class="description">open the context menu with a right click in the folder Scene ➔ Create ➔ Scene  </p>
            <img src="../../assets/images/import_prototype_1.png" class="screenshot" />
            <h4 class="subTitle"><b>2.</b> Drag the fbx file of your prototyp in the appropriate folder</h4>
            <h4 class="subTitle"><b>3.</b> Create a new Prefab</h4>
            <img src="../../assets/images/import_prototype_2.png" class="screenshot" />
            <h4 class="subTitle"  style="margin: 30px 0;"><b>4.</b> 	Drag and drop the prefab file in the scene</h4>
            <h4 class="subTitle"><b>5.</b> 	Drag and drop “Vivian Framework” in the scene</h4>
            <img src="../../assets/images/import_prototype_3.png" class="screenshot" />
            <h4 class="subTitle"><b>6.</b> 	Drag and drop „MouseInteraction“ in the scene</h4>
            <img src="../../assets/images/import_prototype_4.png" class="screenshot" />
            <h4 class="subTitle"><b>7.</b> 	Customize Virtual Prototype (Script)</h4>
            <p class="description">Drag the prefab to the Vivian Framework prefab Bundle URL (Foldername for example Prototyp) Prototyp Prefab name</p>
            <img src="../../assets/images/import_prototype_5.png" class="screenshot" style="width: 300px;" />
        </section>
        <section #button id="Button" class="section">
            <h2 class="title">CREATE A BUTTON</h2>
            <video src="../../assets/videos/BUTTON.mp4" width="70%" controls></video>
            <h4 class="subTitle"><b>1.</b> To implement a button, the name of your element is required.</h4>
            <p class="description">for example “TestButton” </p>
            <img src="../../assets/images/create_button_1.png" class="screenshot" />
            <h4 class="subTitle"><b>2.</b> Open the json file "InteractionElements"</h4>
            <h4 class="subTitle"><b>3.</b> Code structure</h4>
            <h4 class="subTitle" style="margin-left: 25px;">3.1 ToggleButton</h4>
            <img src="../../assets/images/create_button_2.png" class="screenshot" style="width: 550px; margin-bottom: 10px;" />
            <h4 class="subTitle" style="margin-left: 25px;"><b>Type:</b> Define the type of your element</h4>
            <h4 class="subTitle" style="margin-left: 25px; margin-bottom: 40px;"><b>Name:</b> name of your button from 1.</h4>
            <h4 class="subTitle" style="margin-left: 25px;">3.2 Regular Button</h4>
            <img src="../../assets/images/create_button_3.png" class="screenshot" style="width: 300px;" />
        </section>
        <section #slider id="Slider" class="section">
            <h2 class="title">CREATE A SLIDER</h2>
            <video src="../../assets/videos/SLIDER.mp4" width="70%" controls></video>
            <h4 class="subTitle"><b>1.</b> To implement a slider, the name of your element is required.</h4>
            <p class="description">for example "TestSlider" </p>
            <img src="../../assets/images/create_slider_1.png" class="screenshot" />
            <h4 class="subTitle"><b>2.</b> Open the json file "InteractionElements"</h4>
            <h4 class="subTitle"><b>3.</b> Code structure</h4>
            <img src="../../assets/images/create_slider_2.png" class="screenshot" style="width: 500px;" />
            <mat-list>
                <mat-list-item class="subTitle"><b>Type:</b>&nbsp; Define the type of your element</mat-list-item>
                <mat-list-item class="subTitle"><b>Name:</b>&nbsp; Define the name of your slider from 1.</mat-list-item>
                <mat-list-item class="subTitle"><b>MinPosition:</b>&nbsp; Define the starting position of the slider</mat-list-item>
                <mat-list-item class="subTitle"><b>MaxPosition:</b>&nbsp; Define the end position of the slider</mat-list-item>
                <mat-list-item class="subTitle"><b>PositionResolution:</b>&nbsp; Define the number of docking points</mat-list-item>
            </mat-list>
        </section>
        <section #touchscreen id="Touchscreen" class="section">
            <h2 class="title">CREATE A TOUCHSCREEN</h2>
            <video src="../../assets/videos/CREATE A TOUCHSCREEN.mp4" width="70%" controls></video>
            <h4 class="subTitle"><b>1.</b> To implement a touchscreen, the name of your element is required.</h4>
            <p class="description">for example "TestTouchscreen" </p>
            <img src="../../assets/images/create_touchscreen_1.png" class="screenshot" />
            <h4 class="subTitle"><b>2.</b> Open the json file "InteractionElements"</h4>
            <h4 class="subTitle"><b>3.</b> Code structure</h4>
            <img src="../../assets/images/create_touchscreen_2.png" class="screenshot" style="width: 350px;" />
            <mat-list>
                <mat-list-item class="subTitle"><b>Type:</b>&nbsp; Define the type of your element</mat-list-item>
                <mat-list-item class="subTitle"><b>Name:</b>&nbsp; Define the name of your touchscreen from 1.</mat-list-item>
                <mat-list-item class="subTitle"><b>Plane:</b>&nbsp; Define the orientation of your touchscreen</mat-list-item>
                <mat-list-item class="subTitle"><b>Resolution:</b>&nbsp; Define the resolution of your touchscreen</mat-list-item>
            </mat-list>
        </section>
        <section #states id="States" class="section">
            <h2 class="title">CREATE A STATE</h2>
            <video src="../../assets/videos/STATES.mp4" width="70%" controls></video>
            <h4 class="subTitle"><b>1.</b> Open the States.json document</h4>
            <h4 class="subTitle"><b>2.</b> Define your own states with the following concept</h4>
            <h4 class="subTitle"><b>3.</b></h4>
            <img src="../../assets/images/create_state_1.png" class="screenshot" style="width: 400px;" />
            <h4 class="subTitle"><b>4.</b>Within the condtions there are several possibilities to define certain elements</h4>
            <div style="margin-left: 30px;">
                <h4 class="subTitle"><b>4.1</b></h4>
                <img src="../../assets/images/create_state_2.png" class="screenshot" style="width: 400px; margin-left: 40px;" />
                <h4 class="subTitle"><b>4.2</b></h4>
                <img src="../../assets/images/create_state_3.png" class="screenshot" style="width: 400px; margin-left: 40px;" />
                <h4 class="subTitle"><b>4.3</b></h4>
                <img src="../../assets/images/create_state_4.png" class="screenshot" style="width: 400px; margin-left: 40px;" />
                <h4 class="subTitle"><b>4.4</b></h4>
                <img src="../../assets/images/create_state_4.png" class="screenshot" style="width: 400px; margin-left: 40px;" />
                <h4 class="subTitle"><b>4.5</b></h4>
                <img src="../../assets/images/create_state_5.png" class="screenshot" style="width: 400px; margin-left: 40px;" />
            </div>
        </section>
        <section #transitions id="Transitions" class="section">
            <h2 class="title">CREATE A TRANSITION</h2>
            <video src="../../assets/videos/TRANSITIONS.mp4" width="70%" controls></video>
            <h4 class="subTitle"><b>1.</b> Define at least two states in States.json</h4>
            <p class="description">for example “State: lightOff” and “State: lightOn”</p>
            <h4 class="subTitle"><b>2.</b> Code structure</h4>
            <img src="../../assets/images/create_transition_1.png" class="screenshot" style="width: 400px;" />
            <mat-list>
                <mat-list-item class="subTitle"><b>SourceState:</b>&nbsp; Define the initial state</mat-list-item>
                <mat-list-item class="subTitle"><b>InteractionElement:</b>&nbsp; Define the name of your interactionelement</mat-list-item>
                <mat-list-item class="subTitle"><b>Event:</b>&nbsp; Define the trigger</mat-list-item>
                <mat-list-item class="subTitle"><b>DestinationState:</b>&nbsp; Define the destination state</mat-list-item>
            </mat-list>
            <h4 class="subTitle" style="margin: 30px 20px;">Possible events: ...</h4>
        </section>
    </td>
</table>

<app-footer></app-footer>